'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _RadialGaugeProps = require('./RadialGaugeProps');

var _RadialGaugeProps2 = _interopRequireDefault(_RadialGaugeProps);

var _KendoRadialGaugePointer = require('./KendoRadialGaugePointer');

var _KendoRadialGaugePointer2 = _interopRequireDefault(_KendoRadialGaugePointer);

var _GaugeArea = require('../Common/GaugeArea');

var _GaugeArea2 = _interopRequireDefault(_GaugeArea);

var _Scale = require('./Scale');

var _Scale2 = _interopRequireDefault(_Scale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _RadialGaugeProps2.default,
    emits: {
        'kendowidgetready': null
    },
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _GaugeArea2.default, _Scale2.default],
    mounted: function mounted() {
        this._resolveChildren();

        kendo.jQuery(this.$el).kendoRadialGauge(this.widgetOptions);

        if (this.v3) {
            this.ready();
            this.$emit('kendowidgetready', this.kendoWidget());
        } else {
            this.$emit('kendowidgetready', this.kendoWidget());
        }
    },

    methods: {
        kendoWidget: function kendoWidget() {
            return kendo.jQuery(this.$el).getKendoRadialGauge();
        },
        _resolveChildren: function _resolveChildren() {
            this.resolveChildren('pointer', _KendoRadialGaugePointer2.default.name);
        }
    }
};