'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _ArcGaugeProps = require('./ArcGaugeProps');

var _ArcGaugeProps2 = _interopRequireDefault(_ArcGaugeProps);

var _KendoArcGaugeColor = require('./KendoArcGaugeColor');

var _KendoArcGaugeColor2 = _interopRequireDefault(_KendoArcGaugeColor);

var _GaugeArea = require('../Common/GaugeArea');

var _GaugeArea2 = _interopRequireDefault(_GaugeArea);

var _Scale = require('./Scale');

var _Scale2 = _interopRequireDefault(_Scale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _ArcGaugeProps2.default,
    emits: {
        'kendowidgetready': null
    },
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _GaugeArea2.default, _Scale2.default],
    mounted() {
        this._resolveChildren();

        kendo.jQuery(this.$el).kendoArcGauge(this.widgetOptions);

        if (this.v3) {
            this.ready();
            this.$emit('kendowidgetready', this.kendoWidget());
        } else {
            this.$emit('kendowidgetready', this.kendoWidget());
        }
    },
    methods: {
        kendoWidget() {
            return kendo.jQuery(this.$el).getKendoArcGauge();
        },
        _resolveChildren() {
            this.resolveChildren('colors', _KendoArcGaugeColor2.default.name);
        }
    }
};