'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _LinearGaugeProps = require('./LinearGaugeProps');

var _LinearGaugeProps2 = _interopRequireDefault(_LinearGaugeProps);

var _KendoLinearGaugePointer = require('./KendoLinearGaugePointer');

var _KendoLinearGaugePointer2 = _interopRequireDefault(_KendoLinearGaugePointer);

var _GaugeArea = require('../Common/GaugeArea');

var _GaugeArea2 = _interopRequireDefault(_GaugeArea);

var _Scale = require('./Scale');

var _Scale2 = _interopRequireDefault(_Scale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _LinearGaugeProps2.default,
    emits: {
        'kendowidgetready': null
    },
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _GaugeArea2.default, _Scale2.default],
    mounted() {
        this._resolveChildren();

        kendo.jQuery(this.$el).kendoLinearGauge(this.widgetOptions);

        if (this.v3) {
            this.ready();
            this.$emit('kendowidgetready', this.kendoWidget());
        } else {
            this.$emit('kendowidgetready', this.kendoWidget());
        }
    },
    methods: {
        kendoWidget() {
            return kendo.jQuery(this.$el).getKendoLinearGauge();
        },
        resolvePointers() {
            this.resolveChildren('pointer', _KendoLinearGaugePointer2.default.name);
        },
        _resolveChildren() {
            this.resolvePointers();
        }
    }
};