---
title: scaleProps API
description: "API Index | scaleProps"
api_reference: true
slug: api_arcgauge_scaleprops_wrapper
---

# ScaleProps

### scale-end-angle `Number`

The end angle of the Gauge. The Gauge is rendered clockwise&mdash;0 degrees are the 180 degrees in the polar coordinate system.

### scale-labels-background `String`

The background color of the labels. Any valid CSS color string will work here, including hex and rgb.

### scale-labels-border-color `String`

The color of the border. Accepts any valid CSS color string, including hex and rgb.

### scale-labels-border-dash-type `String`

The dash type of the border.

### scale-labels-border-opacity `Number`

The opacity of the border. By default, the border is opaque.

### scale-labels-border-width `Number`

The width of the border.

### scale-labels-color `String`

The text color of the labels. Accepts any valid CSS color string, including hex and rgb.

### scale-labels-font `String`

The font style of the labels.

### scale-labels-format `String`

The format of the labels.

### scale-labels-margin `Number`

The margin of the labels.

### scale-labels-margin-top `Number`

The top margin of the labels.

### scale-labels-margin-bottom `Number`

The bottom margin of the labels.

### scale-labels-margin-left `Number`

The left margin of the labels.

### scale-labels-margin-right `Number`

The right margin of the labels.

### scale-labels-padding `Number`

The padding of the labels.

### scale-labels-padding-top `Number`

The top padding of the labels.

### scale-labels-padding-bottom `Number`

The bottom padding of the labels.

### scale-labels-padding-left `Number`

The left padding of the labels.

### scale-labels-padding-right `Number`

The right padding of the labels.

### scale-labels-position `String`

The labels positions.

### scale-labels-template `String | Function`

The label template. The template supports the `value` variable which represents the value.

### scale-labels-visible `Boolean`

The visibility of the labels.

### scale-major-ticks-color `String`

The color of the major ticks.

### scale-major-ticks-size `Number`

The major tick size&mdash;the length of the line (in pixels) that is drawn to indicate the tick on the scale.

### scale-major-ticks-visible `Boolean`

The visibility of the major ticks.

### scale-major-ticks-width `Number`

The width of the major ticks.

### scale-major-unit `Number`

The interval between major divisions.

### scale-max `Number`

The maximum value of the scale.

### scale-min `Number`

The minimum value of the scale.

### scale-minor-ticks-color `String`

The color of the minor ticks. Accepts any valid CSS color string, including hex and rgb.

### scale-minor-ticks-size `Number`

The minor tick size&mdash;the length of the line (in pixels) that is drawn to indicate the tick on the scale.

### scale-minor-ticks-visible `Boolean`

The visibility of the minor ticks.

### scale-minor-ticks-width `Number`

The width of the minor ticks.

### scale-minor-unit `Number`

The interval between minor divisions.

### scale-range-line-cap `String`

The `lineCap` style of the ranges.

The supported values are:

* `butt`
* `round`
* `square`

### scale-range-placeholder-color `String`

The default color for the ranges.

### scale-range-size `Number`

The width of the range indicators.

### scale-range-distance `Number`

The distance from the range indicators to the ticks.

### scale-reverse `Boolean`

Reverses the scale direction&mdash;values increase anticlockwise.

### scale-start-angle `Number`

The start angle of the Gauge. The Gauge is rendered clockwise&mdash;0 degrees are the 180 degrees in the polar coordinate system.

## Suggested Links

* [`Scale` in Kendo UI ArcGauge for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/arcgauge/configuration/scale)
