---
title: Overview
page_title: LinearGauge Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI LinearGauge wrapper for Vue delivers and use the component in Vue projects."
slug: overview_lineargauge_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/gauges/lineargauge/"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/gauges/lineargauge/"></WrapperBanner></div>    

# LinearGauge Overview

The LinearGauge represents values on a linear scale.

All graphics render on the client in the [Scalable Vector Graphics (SVG)](https://en.wikipedia.org/wiki/Scalable_Vector_Graphics) format.

The LinearGauge wrapper for Vue is a client-side wrapper for the [Kendo UI LinearGauge](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/lineargauge) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the LinearGauge in action.

{% meta height:400 %}
{% embed_file lineargauge/basic/main.vue preview %}
{% embed_file lineargauge/basic/main.js %}
{% endmeta %}

## Functionality and Features

* [Value ranges]({% slug valueranges_lineargauge_wrapper %})
* [Multiple pointers]({% slug pointers_lineargauge_wrapper %})
* [Orientation]({% slug orientation_lineargauge_wrapper %})
* [Export options]({% slug export_options_lineargauge_wrapper %})

## Suggested Links

* [Kendo UI LinearGauge](https://docs.telerik.com/kendo-ui/controls/gauges/lineargauge/overview)
* [API Reference of the LinearGauge Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/lineargauge)
