---
title: Overview
page_title: RadialGauge Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI RadialGauge wrapper for Vue delivers and use the component in Vue projects."
slug: overview_radialgauge_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/gauges/radialgauge/"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/gauges/radialgauge/"></WrapperBanner></div>    

# RadialGauge Overview

The RadialGauge represents values on a circular arc.

All graphics render on the client in the [Scalable Vector Graphics (SVG)](https://en.wikipedia.org/wiki/Scalable_Vector_Graphics) format.

The RadialGauge wrapper for Vue is a client-side wrapper for the [Kendo UI RadialGauge](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/radialgauge) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the RadialGauge in action.

{% meta height:400 %}
{% embed_file radialgauge/basic/main.vue preview %}
{% embed_file radialgauge/basic/main.js %}
{% endmeta %}

## Functionality and Features

* [Value ranges]({% slug valueranges_radialgauge_wrapper %})
* [Multiple pointers]({% slug pointers_radialgauge_wrapper %})
* [Export options]({% slug export_options_radialgauge_wrapper %})

## Suggested Links

* [Kendo UI RadialGauge for jQuery](https://docs.telerik.com/kendo-ui/controls/gauges/radialgauge/overview)
* [API Reference of the RadialGauge Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/radialgauge)
